STG-COMMIT(1)

NAME
stg-commit - Permanently store the applied patches into the stack base

SYNOPSIS

stg commit
stg commit [--] <patchnames>
stg commit -n NUM
stg commit --all

DESCRIPTION
Merge one or more patches into the base of the current stack and remove them from the series while advancing the base. This is the opposite of stg uncommit. Use this command if you no longer want to manage a patch with StGIT.

By default, the bottommost patch is committed. If patch names are given, the stack is rearranged so that those patches are at the bottom, and then they are committed.

The -n/--number option specifies the number of applied patches to commit (counting from the bottom of the stack). If -a/--all is given, all applied patches are committed.

OPTIONS

-n NUMBER, --number NUMBER
    Commit the specified number of patches.

-a, --all
    Commit all applied patches.

STGIT
Part of the StGit suite - see stg(1)